WordPress Poll bővítmény SQL befecskendezéses sérülékenységek

CH azonosító

CH-7840

Angol cím

WordPress Poll Plugin Multiple SQL Injection Vulnerabilities

Felfedezés dátuma

2012.10.24.

Súlyosság

Közepes

Érintett rendszerek

Poll Plugin
WordPress

Érintett verziók

WordPress Poll 33.x

Összefoglaló

A WordPress Poll bővítmény több sérülékenységét jelentették, amiket kihasználva a támadók SQL befecskendezéses (SQL injection) támadásokat indíthatnak.

Leírás

A wp-admin/admin-ajax.php részére a  “pollid”, “poll_name” és “poll_question” POST paraméterekkel átadott bemeneti adatok nem megfelelően vannak megtisztítva mielőtt SQL lekérdezésben felhasználásra kerülnének. Ezt kihasználva módosítani lehet az SQL lekérdezéseket tetszőleges SQL kód befecskendezésével.

A sérülékenységet a 33.5 verzióban jelentették, de korábbi kiadások is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra